org.apache.commons.math3.exception

## Class DimensionMismatchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math3.exception.MathIllegalArgumentException
          - - org.apache.commons.math3.exception.MathIllegalNumberException
            - - org.apache.commons.math3.exception.DimensionMismatchException

- All Implemented Interfaces:
    Serializable, ExceptionContextProvider
  Direct Known Subclasses:
    NonSquareMatrixException, NonSquareOperatorException

      public class DimensionMismatchException
      extends MathIllegalNumberException

  Exception to be thrown when two dimensions differ.
  Since:
    2.2
  Version:
    $Id$
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DimensionMismatchException(int wrong, int expected)` Construct an exception from the mismatched dimensions.
    `DimensionMismatchException(Localizable specific, int wrong, int expected)` Construct an exception from the mismatched dimensions.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDimension()`

    - ### Methods inherited from class org.apache.commons.math3.exception.MathIllegalNumberException

      `getArgument`

    - ### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

      `getContext, getLocalizedMessage, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DimensionMismatchException

          public DimensionMismatchException(Localizable specific,
                                    int wrong,
                                    int expected)

      Construct an exception from the mismatched dimensions.
      Parameters:
        `specific` - Specific context information pattern.
        `wrong` - Wrong dimension.
        `expected` - Expected dimension.

    - #### DimensionMismatchException

          public DimensionMismatchException(int wrong,
                                    int expected)

      Construct an exception from the mismatched dimensions.
      Parameters:
        `wrong` - Wrong dimension.
        `expected` - Expected dimension.

  - ### Method Detail

    - #### getDimension

          public int getDimension()

      Returns:
        the expected dimension.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.